:root {
    --footer-offset-margin-with-contact-from: 350px
}

.new-footer {
    background-color: #211720;
    color: #EAE9EA;
    z-index: 100;
    position: relative;

    @media screen and (max-width: 1000px) {
        padding-top: 32px;
        padding-bottom: 32px;
    }
}

.new-footer.with-contact-form {
    margin-top: var(--footer-offset-margin-with-contact-from);

    @media screen and (max-width: 1199px) {
        margin-top: 0;
        padding-top: 0;
    }
}

.new-footer__top {
    display: flex;
    flex-direction: row;

    @media screen and (max-width: 1000px) {
        flex-direction: column;
    }
}

.new-footer__inner {
    max-width: calc(1560px + 32px);
    margin: auto;
    padding: 0 16px;
}

.new-footer-faded-text {
    color: #BFBABE;
}

.new-footer__top-info {
    display: flex;
    flex-direction: row;

    @media screen and (max-width: 1000px) {
        flex-direction: column;
        gap: 40px;
    }
}

.new-footer__logo-container {
    margin-right: 200px;

    @media screen and (max-width: 1550px) {
        margin-right: clamp(1rem, 5vw, 200px);
    }

    @media screen and (max-width: 1000px) {
        margin-right: 0;
    }
}

.new-footer__middle-info {
    margin-right: 128px;

    @media screen and (max-width: 1550px) {
        margin-right: clamp(1rem, 5vw, 128px);
    }

    @media screen and (max-width: 1000px) {
        margin-right: 0;
    }
}

.new-footer__socials {
    margin-left: auto;
    display: flex;
    flex-direction: row;
    gap: 8px;

    @media screen and (max-width: 1000px) {
        margin-left: 0;
        margin-top: 40px;
    }
}

.new-footer__socials > a {
    align-items: center;
    justify-content: center;
    height: 48px;
    width: 48px;
    display: flex;
    border: 1px solid #594D57;
    border-radius: 100px;
    padding: 8px 12px;
}

.new-footer__gowork_link {
    text-decoration: underline;
    color: #9F989E !important;
}

.new-footer__a {
    text-decoration: underline;
    color: #9F989E !important;
}

.new-footer__hr {
    background-color: #594D57;
    height: 0;
    margin-top: 64px;
    margin-bottom: 64px;

    @media screen and (max-width: 1000px) {
        width: 150vw;
        margin-left: -40px;
        margin-bottom: 48px;
        margin-top: 32px;
    }
}

.new-footer__bottom-hr {
    background-color: #594D57;
    height: 0;
    margin-top: 64px;
    margin-bottom: 24px;

    @media screen and (max-width: 1000px) {
        display: none;
    }
}

.new-footer__offer_grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(max(220px, calc((100% - 72px) / 4)), 1fr));
    column-gap: 24px;
    row-gap: 64px;

    @media screen and (max-width: 1366px) {
        grid-template-columns: repeat(auto-fit, minmax(max(220px, calc((100% - 72px) / 3)), 1fr));
    }

    @media screen and (max-width: 650px) {
        row-gap: 16px;
        grid-template-columns: repeat(1, 1fr);
    }
}

.new-footer__offer-category {
    display: flex;
    flex-direction: column;
}

.new-footer__offer-header {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 12px;
    margin-bottom: 32px;

    @media screen and (max-width: 650px) {
        margin-bottom: 16px;
    }
}

.new-footer__offer-header-button {
    display: none;
    margin-left: auto;
    outline: none !important;

    @media screen and (max-width: 650px) {
        display: inline-block;
    }
}

.new-footer__offer-header-button.active {
    transform: rotate(180deg);
}

.new-footer__offer-href {
    color: #BFBABE !important;
    width: fit-content;
}

.new-footer-offers {
    display: flex;
    flex-direction: column;
    gap: 12px;
    margin-bottom: 16px;

    @media screen and (max-width: 1000px) {
        gap: 16px;
    }
}

.new-footer-offers.hidden {
    display: none;
}

.new-footer-offers__container {
    @media screen and (max-width: 650px) {
        border-bottom: 1px solid #594D57;
    }
}

.new-footer__bottom {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;

    @media screen and (max-width: 1150px) {
        align-items: unset;
        flex-direction: column;
        gap: 32px;
    }

    @media screen and (max-width: 1000px) {
        margin-top: 64px;
    }
}

.new-footer__seo-pages-controls {
    color: #9F989E !important;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 12px;
}

.new-footer__seo-pages-button {
    padding: 0;
    display: flex;
    flex-direction: row;
    gap: 8px;
    align-items: center;
    outline: none !important;
}

.new-footer__seo-pages-button.active {
    color: #D4A773;
}

.new-footer__seo-pages-button.active > span {
    color: #D4A773 !important;
}

.new-footer__seo-pages-button > svg {
    fill: #9F989E;
}

.new-footer__seo-pages-button.active > svg {
    transform: rotate(180deg);
    fill: #D4A773;
}

.new-footer__seo-pages {
    padding-top: 64px;

    @media screen and (max-width: 650px) {
        padding-top: 32px;
        padding-bottom: 0;
    }
}

.new-footer__seo-pages.hidden {
    display: none;
}

.new-footer__seo-pages-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(max(220px, calc((100% - 72px) / 4)), 1fr));
    column-gap: 24px;
    row-gap: 12px;

    @media screen and (max-width: 1075px) {
        grid-template-columns: repeat(auto-fit, minmax(max(220px, calc((100% - 72px) / 2)), 1fr));
    }

    @media screen and (max-width: 650px) {
        row-gap: 16px;
        grid-template-columns: repeat(1, 1fr);
    }
}

.new-footer__seo-pages-grid > a {
    color: #BFBABE;
    width: fit-content;
}

.new-footer__contact-form-container {
    margin-bottom: 64px;
    display: flex;
    flex-direction: row;
    gap: 48px;
    background-color: #2F202D;
    padding: 64px;
    margin-top: calc(var(--footer-offset-margin-with-contact-from) * -1);
    position: relative;
    z-index: 1;

    @media screen and (max-width: 1500px) {
        padding: 32px;
    }

    @media screen and (max-width: 1375px) {
        gap: 24px;
    }

    @media screen and (max-width: 1199px) {
        padding: 16px;
        padding-bottom: 48px;
        padding-top: 48px;
        width: 100vw;
        margin-left: calc(50% - 50vw);
        margin-bottom: 32px;
        flex-direction: column;
        margin-top: 0;
    }
}

.new-footer__contact-form-bg-image {
    background: radial-gradient(
            ellipse 360px 277px at 50% 100%,
            #4A3346 0%,
            #3A2837 40%,
            rgba(47, 32, 45, 0) 80%
    );
    position: absolute;
    /*filter: brightness(120%);*/
    bottom: 0;
    z-index: 0;
    user-select: none;
    pointer-events: none;

    @media screen and (max-width: 1199px) {
        display: none;
    }
}

.new-footer__contact-form-info {
    flex: 1;
    max-width: 50%;
    display: flex;
    flex-direction: column;
    gap: 24px;

    @media screen and (max-width: 1199px) {
        max-width: 100%;
    }
}

.new-footer__contact-form {
    flex: 1;
    max-width: 50%;
    z-index: inherit;

    background-color: white;
    padding: 24px 25px;
    border-radius: 4px;

    @media screen and (max-width: 1199px) {
        margin-top: 12px;
        max-width: 100%;
        border-radius: 0;
    }
}

.new-footer__contact-form-image-container {
    max-width: 112px;
    max-height: 112px;
}

.new-footer__contact-form-image-container > img {
    width: 100%;
    border-radius: 100px;
}

.new-footer__contact-form-contact-info {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.new-footer__contact-form-contact-info-pill {
    display: flex;
    flex-direction: row;
    gap: 12px;
    align-items: center;
}

.new-footer__contact-form-divider {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.new-footer__contact-form-divider hr {
    border-top: 1px solid #594D57;
    width: 100%;
}

.new-footer__goto_contact {
    width: fit-content;
    text-decoration: underline !important;
    color: #D4A773 !important;
    display: flex;
    flex-direction: row;
    gap: 12px;
    align-items: center;
}